set more off
u "GHM_EJ_2007_public.dta",clear
tab year,g(yy)
tab country,g(cc)

**********
* Table 2 
**********
* Col 1
reg mu_open_priv_nr lie_smp_tran_sensitivity tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob 
outreg2 lie_smp_tran_sensitivity tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table2.xls", replace title("Dependent variable: Mark Up.") ctitle("Total Economy (non-agri, non-real estate)") bdec(5)   se nonotes  noas bracket
* Col 2
reg mu_open_priv_nr lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob 
outreg2 lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table2.xls", append bdec(5)   se nonotes   noas bracket
* Col 3
reg mu_open_priv_nr lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 int_cbc_aii4 int_cbc_ciii5 int_cbc_tw3 tw3 epl brr ci2 unexp_infl ygap real_exch psare_lf_rate yy* cc*, rob
outreg2 lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 int_cbc_aii4 int_cbc_ciii5 int_cbc_tw3 tw3 epl brr ci2 unexp_infl ygap real_exch psare_lf_rate using "$C\Table2.xls", append bdec(5) se nonotes  noas bracket 
* Col 4
reg int_mu_open_priv_nr_cbc1986 lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 int_cbc_aii4 int_cbc_ciii5 int_cbc_tw3 tw3 epl brr ci2 unexp_infl ygap real_exch psare_lf_rate yy* cc*, rob
outreg2 lie_smp_tran_sensitivity lie_aii4 lie_ciii5 lie_b4 int_cbc_aii4 int_cbc_ciii5 int_cbc_tw3 tw3 epl brr ci2 unexp_infl ygap real_exch psare_lf_rate using "$C\Table2.xls", append ctitle("Dependent variable: Mark Up * Bargaining Coverage in 1986") bdec(5) se nonotes  noas bracket 

**********
* Table 3 
**********
* Col 1
reg unemp_rate tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob   
outreg2 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", replace title("Dependent variable: Unemployment Rate.") ctitle("OLS") bdec(3) se nonotes  noas bracket 
* Col 2
reg unemp_rate mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc* , rob   
outreg2 mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append title("Dependent variable: Unemployment Rate.") ctitle("OLS") bdec(3) se nonotes  noas bracket 
* Col 3
ivreg2 unemp_rate (mu_open_priv_nr = lie_smp_tran_sensitivity lie_aii4 lie_b4 lie_ciii5) tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob ffirst  
outreg2 mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append ctitle("IV") bdec(3) se addstat("Hansen P-val", e(jp)) nonotes  noas bracket 
* Col 4
reg unemp_rate mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob   
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append ctitle("OLS") bdec(3) se nonotes  noas bracket 
* Col 5
ivreg2 unemp_rate (mu_open_priv_nr int_mu_open_priv_nr_cbc1986 = lie_smp_tran_sensitivity lie_aii4 lie_b4 lie_ciii5 int_cbc_aii4 int_cbc_ciii5 int_cbc_tw3) tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob ffirst
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append ctitle("IV") bdec(3) se addstat("Hansen P-val", e(jp)) nonotes  noas bracket 
* Col 6
reg unemp_rate mu_open_priv_nr int_mu_open_priv_nr_udy1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob   
outreg2 mu_open_priv_nr int_mu_open_priv_nr_udy1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append ctitle("OLS") bdec(3) se nonotes  noas bracket 
* Col 7
ivreg2 unemp_rate (mu_open_priv_nr int_mu_open_priv_nr_udy1986 = lie_smp_tran_sensitivity lie_aii4 lie_b4 lie_ciii5 int_udy_aii4 int_udy_ciii5 int_udy_tw3) tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate yy* cc*, rob ffirst
outreg2 mu_open_priv_nr int_mu_open_priv_nr_udy1986 tw3 epl brr ci2 ygap unexp_infl real_exch psare_lf_rate using "$C\Table3.xls", append ctitle("IV") bdec(3) se addstat("Hansen P-val", e(jp)) nonotes  noas bracket 


**********
* Table 5 
**********
* Col 1
reg lhourly_real_cpi_labr tw3 epl brr ci2 ygap unexp_infl real_exch yy* cc* , rob 
outreg2 tw3 epl brr ci2 ygap unexp_infl real_exch using "$C\Table5.xls", replace ctitle("OLS") bdec(3)   se nonotes noas bracket
* Col 2
reg lhourly_real_cpi_labr mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch yy* cc*, rob 
outreg2 mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch using "$C\Table5.xls", append ctitle("OLS") bdec(3)   se nonotes noas bracket
* Col 3
ivreg2 lhourly_real_cpi_labr tw3 epl brr ci2 unexp_infl ygap real_exch yy* cc* (mu_open_priv_nr = lie_smp_tran_sensitivity lie_aii4 lie_ciii5) , rob ffirst
outreg2 mu_open_priv_nr tw3 epl brr ci2 ygap unexp_infl real_exch using "$C\Table5.xls", append ctitle("IV") bdec(3)   se addstat("Hansen P-val", e(jp)) nonotes noas bracket
* Col 4
reg lhourly_real_cpi_labr mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch yy* cc* , rob 
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch using "$C\Table5.xls", append ctitle("OLS") bdec(3)   se nonotes noas bracket
* Col 5 
ivreg2 lhourly_real_cpi_labr tw3 epl brr ci2 unexp_infl ygap real_exch yy* cc* (mu_open_priv_nr int_mu_open_priv_nr_cbc1986 = lie_smp_tran_sensitivity lie_aii4 lie_ciii5 int_cbc_aii4 int_cbc_tw3) , rob ffirst
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 tw3 epl brr ci2 ygap unexp_infl real_exch using "$C\Table5.xls", append ctitle("IV") bdec(3)   se addstat("Hansen P-val", e(jp)) nonotes noas bracket

**********
* Table 6 
**********
* Col 1
reg unemp_rate mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 h5_int_mu_interm_ci2 h5_int_mu_high_ci2 tw3 epl brr ygap unexp_infl real_exch psare_lf_rate yy* cc* , rob 
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 h5_int_mu_interm_ci2 h5_int_mu_high_ci2 tw3 epl brr ygap unexp_infl real_exch psare_lf_rate using "$C\Table6.xls", replace ctitle("Unemployment Rate") bdec(3)   se nonotes noas bracket 
* Col 2
reg unemp_rate mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2  tw3 epl brr ygap unexp_infl real_exch psare_lf_rate yy* cc* , rob 
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 tw3 epl brr ygap unexp_infl real_exch psare_lf_rate using "$C\Table6.xls", append ctitle("Unemployment Rate") bdec(3)   se nonotes noas bracket 
* Col 3
reg lhourly_real_cpi_labr mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 h5_int_mu_interm_ci2 h5_int_mu_high_ci2 tw3 epl brr ygap unexp_infl real_exch yy* cc* , rob 
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 h5_int_mu_interm_ci2 h5_int_mu_high_ci2 tw3 epl brr ygap unexp_infl real_exch using "$C\Table6.xls", append ctitle("Lab costs") bdec(3)   se nonotes noas bracket 
* Col 4
reg lhourly_real_cpi_labr mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2  tw3 epl brr ygap unexp_infl real_exch yy* cc*  , rob 
outreg2 mu_open_priv_nr int_mu_open_priv_nr_cbc1986 h5_mu_open_interm_ci2 h5_mu_open_high_ci2 tw3 epl brr ygap unexp_infl real_exch using "$C\Table6.xls", append ctitle("Lab costs") bdec(3)   se nonotes noas bracket 



